import { Component, ViewChild, OnInit } from '@angular/core';
import { EventSettingsModel, GroupModel, ScheduleComponent } from '@syncfusion/ej2-angular-schedule';
import { DataManager, UrlAdaptor } from '@syncfusion/ej2-data';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html'
})

export class AppComponent implements OnInit {
  private dataManager: DataManager = new DataManager({
    url: 'http://localhost:5000/GetData',
    crudUrl: 'http://localhost:5000/BatchData',
    adaptor: new UrlAdaptor,
    crossDomain: true
  });
  @ViewChild('scheduleObj', null)
  public scheduleObj: ScheduleComponent;
  public group: GroupModel = {
    resources: ['Categories']
  };
  public categoryDataSource: Object[] = [
    { text: 'Nancy', id: 1, groupId: 1, color: '#df5286', designation: "Cardioligst" },
    { text: 'Margaret', id: 2, groupId: 1, color: '#7fa900', designation: "Neurologist" },
    { text: 'Robert', id: 3, groupId: 2, color: '#ea7a57', designation: "Orthopedic Surgeon" },
    { text: 'Laura', id: 4, groupId: 2, color: '#5978ee', designation: "Dentist" }
  ];
  public allowMultiple: Boolean = true;
  public eventSettings: EventSettingsModel;
  public selectedDate: Date;
  ngOnInit(): void {
    this.selectedDate = new Date(2018, 1, 14);
    this.eventSettings = { dataSource: this.dataManager };
  }
}